Package org.eclipse.microprofile.fault.tolerance.tck.circuitbreaker.lifecycle

# Interface CircuitBreakerLifecycleService

All Known Implementing Classes:
  `BaseCircuitBreakerOnClass`, `BaseCircuitBreakerOnClassAndMethod`, `BaseCircuitBreakerOnMethod`, `DerivedCircuitBreakerOnClassAndMethodNoAnnotationOnOverriddenMethod`, `DerivedCircuitBreakerOnClassAndMethodNoRedefinition`, `DerivedCircuitBreakerOnClassAndMethodOverrideOnClass`, `DerivedCircuitBreakerOnClassAndMethodOverrideOnClassWithOverriddenMethod`, `DerivedCircuitBreakerOnClassAndMethodOverrideOnMethod`, `DerivedCircuitBreakerOnClassNoAnnotationOnOverriddenMethod`, `DerivedCircuitBreakerOnClassNoRedefinition`, `DerivedCircuitBreakerOnClassOverrideOnClass`, `DerivedCircuitBreakerOnClassOverrideOnClassWithOverriddenMethod`, `DerivedCircuitBreakerOnClassOverrideOnMethod`, `DerivedCircuitBreakerOnMethodNoAnnotationOnOverriddenMethod`, `DerivedCircuitBreakerOnMethodNoRedefinition`, `DerivedCircuitBreakerOnMethodOverrideOnClass`, `DerivedCircuitBreakerOnMethodOverrideOnClassWithOverriddenMethod`, `DerivedCircuitBreakerOnMethodOverrideOnMethod`

public interface CircuitBreakerLifecycleService

## Method Summary

Modifier and Type
Method
Description
`int`
`instanceId()`
`void`
`service()`

## Method Details

### instanceId

int instanceId()

### service

void service() throws IOException

Throws:
  `IOException`